| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ModuleIncident Class Reference

`#include <ModuleIncident.h>`

Inheritance diagram for ModuleIncident:

[legend]
Collaboration diagram for ModuleIncident:

[legend]
List of all members.

## Detailed Description

base class for Module-related incident

Author:
  P. Calafiura
  Id
    ModuleIncident.h,v 1.1 2006/12/10 20:29:17 leggett Exp

Definition at line 14 of file ModuleIncident.h.

## Public Member Functions
Accessors
const std::string & | module () const
| the model (DLL) being worked on
## Private Attributes
std::string | m_module
| the model (DLL) being worked on

## Constructor & Destructor Documentation

ModuleIncident::ModuleIncident | ( | const std::string & | source,
|  | const std::string & | type,
|  | const std::string & | module |
| ) |  |  | `[inline, protected]`

Definition at line 18 of file ModuleIncident.h.

    00021              : Incident(source, type), m_module(module) { }

virtual ModuleIncident::~ModuleIncident | ( |  | ) | `[inline, protected, virtual]`

Definition at line 22 of file ModuleIncident.h.

    00022 { }

ModuleIncident::ModuleIncident | ( | const std::string & | source,
|  | const std::string & | type,
|  | const std::string & | module |
| ) |  |  | `[inline, protected]`

Definition at line 18 of file ModuleIncident.h.

    00021              : Incident(source, type), m_module(module) { }

virtual ModuleIncident::~ModuleIncident | ( |  | ) | `[inline, protected, virtual]`

Definition at line 22 of file ModuleIncident.h.

    00022 { }

## Member Function Documentation

const std::string& ModuleIncident::module | ( |  | ) | const`[inline]`

the model (DLL) being worked on

Definition at line 31 of file ModuleIncident.h.

References m_module.

    00031 { return m_module; }

## Member Data Documentation

std::string ModuleIncident::m_module`[private]`

the model (DLL) being worked on

Definition at line 35 of file ModuleIncident.h.

Referenced by module().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/ModuleIncident.h